Get C2C Trade History (USER_DATA)
API Description
Get C2C Trade History
HTTP Request
GET /sapi/v1/c2c/orderMatch/listUserOrderHistory
Request Weight(IP)
1
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| tradeType | STRING | NO | BUY, SELL |
| startTimestamp | LONG | NO | |
| endTimestamp | LONG | NO | |
| page | INT | NO | Default 1 |
| rows | INT | NO | default 100, max 100 |
| recvWindow | LONG | NO | |
| timestamp | LONG | YES |
- The max interval between startTimestamp and endTimestamp is 30 days.
- If startTimestamp and endTimestamp are not sent, the recent 30 days' data will be returned.
- You can only view data from the past 6 months. To see all C2C orders, please check https://c2c.binance.com/en/fiatOrder
Response Example
{
"orderNumber": "20219644646554779648", // Order Number
"advNo": "11218246497340923904", // Adv Number
"tradeType": "SELL", // "BUY" or "SELL"
"asset": "USDT", // Crypto asset
"fiat": "CNY", // Fiat currency
"fiatSymbol": "¥", // Fiat currency symbol
"amount": "343.40000000", // Trade amount
"totalPrice": "2500.00000000", // Order total price
"unitPrice": "7.28",
"orderStatus": "COMPLETED", // PENDING, TRADING, BUYER_PAYED, DISTRIBUTING, COMPLETED, IN_APPEAL, CANCELLED, CANCELLED_BY_SYSTEM
"createTime": 1722997599534,
"commission": "0", // Transaction Fee (in Crypto)
"takerCommissionRate": "0",
"takerCommission": "0",
"takerAmount": "343.4",
"counterPartNickName": "aaa-***",
"payMethodName": "BANK", // Identifier of the payment method
"additionalKycVerify": 0 // 0: not required, 1: not verified, 2: verified
}